Module
Contents
Index 🔎︎

# CInt Function

Konverterar en sträng eller ett numeriskt uttryck till ett heltal.

## Syntax:

    CInt (Uttryck)

## Returvärde:

Integer

## Parametrar:

Uttryck: Ett numeriskt uttryck som du vill konvertera. Om uttrycket Uttryck inte ligger i intervallet mellan -32768 och 32767 genererar LibreOffice Basic ett spillfel. Om du vill konvertera ett stränguttryck måste talet anges som vanlig text ("123,5") med det standardformat för tal som används för operativsystemet.

Funktionen rundar av decimaler till närmaste heltal.

## Error codes:

5 Felaktigt proceduranrop

## Exempel:

    Sub ExampleCountryConvert

        MsgBox CDbl(1234.5678)

        MsgBox CInt(1234.5678)

        MsgBox CLng(1234.5678)

    End Sub